Bug 517404 - Openvpn need Requires: engine_pkcs11
Summary: Openvpn need Requires: engine_pkcs11
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openvpn
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Steven Pritchard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-13 18:56 UTC by Pavel Alexeev
Modified: 2010-01-28 01:02 UTC (History)
2 users (show)

Fixed In Version: 2.1.1-2.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-14 01:23:18 UTC


Attachments (Terms of Use)

Description Pavel Alexeev 2009-08-13 18:56:47 UTC
Description of problem:
# ./build-key NewName
Error configuring OpenSSL
27290:error:25066067:DSO support routines:DLFCN_LOAD:could not load the shared library:dso_dlfcn.c:162:filename(/usr/lib/openssl/engines/engine_pkcs11.so): /usr/lib/openssl/engines/engine_pkcs11.so: cannot open shared object file: No such file or directory
27290:error:25070067:DSO support routines:DSO_load:could not load the shared library:dso_lib.c:244:
27290:error:260B6084:engine routines:DYNAMIC_LOAD:dso not found:eng_dyn.c:450:
27290:error:0E07606D:configuration file routines:MODULE_RUN:module initialization error:conf_mod.c:235:module=engines, value=engine_section, retcode=-1


Version-Release number of selected component (if applicable):
# rpm -q openvpn
openvpn-2.1-0.32.rc15.fc11.i586


How reproducible:
Always

Comment 1 Gwyn Ciesla 2009-12-17 18:52:38 UTC
That file isn't present on my F-12 system, and this works, running .37.rc20.  I'll be pushing an update shortly that should fix this.

Comment 2 Fedora Update System 2010-01-05 15:26:33 UTC
openvpn-2.1.1-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/openvpn-2.1.1-2.fc12

Comment 3 Fedora Update System 2010-01-07 01:00:18 UTC
openvpn-2.1.1-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openvpn'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0249

Comment 4 Fedora Update System 2010-01-14 01:21:14 UTC
openvpn-2.1.1-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openvpn'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-0504

Comment 5 Fedora Update System 2010-01-14 01:23:00 UTC
openvpn-2.1.1-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2010-01-28 01:02:31 UTC
openvpn-2.1.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.